<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE container SYSTEM "http://www.sigames.com/dtds/container.dtd">

<panel>

	<!-- this panel contains a panel that will be decided at run-time from code, decided by the state / setting for the particular sub-panel on the manager snapshot/home main panel -->
	<layout class="stick_to_sides_attachment" alignment="all" layout_children="true" inset="0" />

	<!-- 	list of available panels that can be visible on the snapshot/home main panel 
		we get the panel from the class property, which is the widget class used, while the title on the menu is given by the text property
		the text is used for two things: the menu item text in the drop-down menu, and as the title of the actual panel (in 'head' below)  -->
	<list id="snap">
		<record class="team_upcoming_fixture_panel">
			<string id="text" value="Next Match[COMMENT: next match heading for team next match panel]" />
			<integer id="minimum_width" value="400" />
		</record>
		<record class="manager_upcoming_fixtures_panel">
			<string id="text" value="Fixtures &amp; Results[COMMENT; manager snapshot/home: manager upcoming fixture list summary panel title]" />
			<integer id="minimum_width" value="200" />
		</record>
		<record class="competition_snapshot_panel" text="Competition Standings[COMMENT: manage snapshot/home: competition sub-panel title]">
			<integer id="minimum_width" value="200" />
		</record>
		<record class="manager_competitions_panel" text="Team Competitions[COMMENT: manager snapshot/home: manager/team competition summary list title]">
			<integer id="minimum_width" value="400" />
		</record>
		<record class="player_stats_summary_panel" text="Player Stats[COMMENT: manager home section: player stats summary heading]">
			<integer id="minimum_width" value="400" />
		</record>
		<record class="team_stats_summary_panel" text="Team Stats[COMMENT: manager snapshot/home: team stats summary panel heading]">
			<integer id="minimum_width" value="200" />
		</record>
		<record class="finances_short_summary_panel" text="Finances[COMMENT: manager home section: finances summary panel heading]">
			<integer id="minimum_width" value="400" />
			<boolean id="requires_club_team" value="true" />
			<boolean id="hide_panel_if_disabled" value="true" />
			<boolean id="requires_current_human_manager" value="true" />
		</record>
		<record class="finances_short_wage_summary_panel" text="Salary[COMMENT: manager snapshot/home: finances wage summary panel heading]">
			<integer id="minimum_width" value="200" />
			<boolean id="requires_club_team" value="true" />
			<boolean id="hide_panel_if_disabled" value="true" />
			<boolean id="requires_current_human_manager" value="true" />
		</record>
		<record class="available_jobs_summary_panel" text="Available Jobs[COMMENT: available jobs summary panel heading]">
			<integer id="minimum_width" value="400" />
			<boolean id="available_when_unemployed" value="true" />
		</record>
		<record class="insecure_jobs_summary_panel" text="Under Pressure Managers[COMMENT: insecure jobs summary panel heading]">
			<integer id="minimum_width" value="200" />
			<boolean id="available_when_unemployed" value="true" />
		</record>
		<record class="team_snapshot_injury_panel" text="Squad Injuries[COMMENT: injury snapshot panel heading]">
			<integer id="minimum_width" value="400" />
		</record>
		<record class="team_snapshot_training_panel" text="Training Performances[COMMENT: training snapshot panel heading]">
			<integer id="minimum_width" value="200" />
			<boolean id="requires_club_team" value="true" />
			<boolean id="hide_panel_if_disabled" value="true" />
		</record>
		<record class="team_snapshot_scout_panel" text="Scout Reports[COMMENT: scout snapshot panel heading]">
			<integer id="minimum_width" value="200" />
			<boolean id="requires_club_team" value="true" />
			<boolean id="hide_panel_if_disabled" value="true" />
		</record>
		<record class="world_snapshot_transfer_panel" text="Recent World Transfers[COMMENT: world transfer snapshot panel heading]">
			<integer id="minimum_width" value="400" />
		</record>
		<record class="team_snapshot_contract_panel" text="Contract Expiry Dates[COMMENT: team contract snapshot panel heading]">
			<integer id="minimum_width" value="300" />
			<boolean id="requires_club_team" value="true" />
			<boolean id="hide_panel_if_disabled" value="true" />
		</record>
		<record class="news_snapshot_headline_panel" text="Recent Headlines[COMMENT: news headline snapshot panel heading]">
			<integer id="minimum_width" value="200" />
		</record>
	</list>

	<container class="group_box" id="box1">
	
		<layout class="arrange_vertical_attachment" alignment="top,extend" offset="0" gap="0" />
		<layout class="stick_to_sides_attachment" alignment="horizontal" layout_children="true" inset="0" />
	
		<!-- this is the 'heading', and we're cheating somewhat to combine two widgets into what looks like one: the heading button and the dropdown menu -->
		<container id="head">
			<layout class="fit_children_attachment" alignment="vertical" offset="0" gap="0" />
			<layout class="arrange_horizontal_attachment" layout="-1,25" offset="0" gap="0" />
			<layout class="stick_to_sides_attachment" alignment="top" layout_children="true" inset="0" />
		
			<!-- change this somewhat, and enable, when links in these headings works -->
			<widget class="column_heading_alternative" id="titl" text="" height="20" alignment="centre_y,left">
				<!-- this is the 'not sortable' sort order; it tells the heading that mouse down does not depress the column heading, while it still allows click events to fall through for the link events -->
				<integer id="sort_order" value="100001" />
			</widget>

			<widget class="popup_button" id="view" text="" height="20" appearance="menu/home" fixed="true" />
		</container>
		
	
		<!-- this container contains the actual data/details panel we're displaying - it depends on the actual info panel being inside this container, so don't move it elsewhere -->
		<container id="panl">
			<layout class="stick_to_sides_attachment" alignment="all" layout_children="true" inset="0" />
			
			<!-- dummy class for layout purposes - it gets removed and replaced by code -->
			<widget class="group_box" />
		</container>

	</container>
	
</panel>